aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-flask-htauth/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-14 09:54:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:28 +0000
commitcf9ae6fa41894aa3386740a92b61f9ffd86a4a03 (patch)
tree16f8203ff4ac6111904519afe82a39c2929dae56 /testing/py-flask-htauth/APKBUILD
parentbd62a186c7cb6f6a126a839cdb945511f919d8a1 (diff)
downloadaports-cf9ae6fa41894aa3386740a92b61f9ffd86a4a03.tar.gz
aports-cf9ae6fa41894aa3386740a92b61f9ffd86a4a03.tar.bz2
aports-cf9ae6fa41894aa3386740a92b61f9ffd86a4a03.tar.xz
testing/py-flask-htauth: new aport
Flask HTTP authentication https://pypi.python.org/pypi/Flask-HTAuth
Diffstat (limited to 'testing/py-flask-htauth/APKBUILD')
-rw-r--r--testing/py-flask-htauth/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-flask-htauth/APKBUILD b/testing/py-flask-htauth/APKBUILD
new file mode 100644
index 0000000000..8a6d54df49
--- /dev/null
+++ b/testing/py-flask-htauth/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-flask-htauth
+_pkgname=Flask-HTAuth
+pkgver=0.1.2
+pkgrel=0
+pkgdesc="Flask HTTP authentication"
+url="https://pypi.python.org/pypi/Flask-HTAuth"
+arch="noarch"
+license="BSD"
+depends="python py-flask"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="0591ea5969674c493ce584b05798e748 Flask-HTAuth-0.1.2.tar.gz"
+sha256sums="ba6caadbe44da9c84544c901ca9800cf91152162fefd116b4dc826113d55f4d5 Flask-HTAuth-0.1.2.tar.gz"
+sha512sums="ce7b03fbc629498c2009c546136ee6828b7877beb33191596a1c0b01e336c209d444c356b92809a63650bff2ca87725a65dd98d1df09c655ba41adaf6c5a524d Flask-HTAuth-0.1.2.tar.gz"